@17140@
@13830@
@13245@
@13635@
@13440@
@13245@

Modified by Robert H”hne to be used for RHIDE.

@13245@
@13245@
@14024@

@14317@
@14293@
@16849@


#ifdef __DJGPP__
#include <dpmi.h>

int draw_mouse(int,int);
MouseEventType tempMouse;
_go32_dpmi_registers mouseIntRegs;

void TEventQueue::mouseInt()
@23372@
@09223@
    tempMouse.buttons = mouseIntRegs.h.bl;
    tempMouse.doubleClick = False;
    x = tempMouse.where.x = (mouseIntRegs.x.cx >> 3) & 0xFF;
    y = tempMouse.where.y = (mouseIntRegs.x.dx >> 3) & 0xFF;
    if (draw_mouse(x,y)) mouseIntFlag = True;
    if( (mouseIntRegs.x.ax & 0x1e) != 0 && eventCount < eventQSize )
@05453@
        eventQTail->what = TICKS();
@04107@
@04325@
@02546@
@04105@
@05843@

@07773@
@24151@

@15193@

void TEventQueue::mouseInt()
@23372@
@24151@

@15582@

